/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'customerid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'customername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'businesstypecode',
        prop: 'businesstypecode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'customerid',
        prop: 'customerid',
        dataType: 'GUID',
      },
      {
        name: 'customername',
        prop: 'customername',
        dataType: 'TEXT',
      },
      {
        name: 'customertype',
        prop: 'customertype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'incidentcustomer',
        prop: 'customerid',
        dataType: 'FONTKEY',
      },
    ]
  }

}